--
-- Real Mower for FS19
-- @author:    	kenny456 (kenny456@seznam.cz)
-- @history:	v1.0 - 2020-06-30 - first release
--
source(Utils.getFilename("realMower.lua", g_currentModDirectory))

RealMower_register = {}

function RealMower_register:loadMap()
end
function RealMower_register:register(name)
	if g_specializationManager:getSpecializationByName("RealMower") == nil then
	  if RealMower == nil then 
		print("ERROR: unable to add specialization 'RealMower'")
	  else 
		for i, typeDef in pairs(g_vehicleTypeManager.vehicleTypes) do
			if typeDef ~= nil and i ~= "locomotive" and i ~= "trainTrailer" and i ~= "trainTimberTrailer" then 
				local isMower = false
				for name, spec in pairs(typeDef.specializationsByName) do
					if name == "mower"  then
						isMower = true
					end 
				end 
				if isMower then
					typeDef.specializationsByName["RealMower"] = RealMower
					table.insert(typeDef.specializationNames, "RealMower")
					table.insert(typeDef.specializations, RealMower)  
				end 
			end 
		end   
	  end 
	end
end
VehicleTypeManager.finalizeVehicleTypes = Utils.prependedFunction(VehicleTypeManager.finalizeVehicleTypes, RealMower_register.register)
print("----RealMower registered.")

addModEventListener(RealMower_register);